Bug 1340167 - DHCP reservation for PXE boot not added when using static boot mode
Summary: DHCP reservation for PXE boot not added when using static boot mode
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: DHCP & DNS   
(Show other bugs)
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 15:07 UTC by Marek Hulan
Modified: 2019-04-01 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14905 None None None 2016-05-26 16:03 UTC

Description Marek Hulan 2016-05-26 15:07:25 UTC
Hi,

we have one central tftp server and multiple dhcp servers to avoid the dhcp relay via firewalls.

Since foreman 1.11, we can not deploy vm, because foreman will not add the dhcp leases on the external dhcp servers. PXE will not work anymore.

tcpdump also wont show any connections..

If I add a tftp role to a dhcp server and attach it to one subnet, the leases will be added to this dhcp server doing the host creation and everything will be work as expected.

I can not find any errory on /var/log/foreman-proxy/proxy.log or /var/log/foreman/production.log .

Best Regards,
Jan-Otto Kröpke
noris network AG

Comment 1 Marek Hulan 2016-05-26 15:07:27 UTC
Created from redmine issue http://projects.theforeman.org/issues/14905

Comment 3 Bryan Kearney 2016-05-26 18:17:50 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14905 has been closed

Comment 7 Sachin Ghai 2018-01-29 13:34:00 UTC
Verified as per comment6.

Comment 8 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.